/*
 * @description: fancy flip-background menu for mootools
 * @copyright	Copyright (C) 2013 computer daten netze - fennders. All rights reserved.
 * @license	GNU General Public License version 2 or later; see LICENSE.txt
 * @author Dirk Hoeschen - www.feenders.de
 */
var FlipMenu = new Class({
	Implements: [Options, Events],
	options: {
		animDuration: 200,
		transitionIn: 'Expo:in',
		transitionOut: 'Expo:out',
		selectElements: '>a'
	},
	
	initialize: function(menu, options){ 
		this.setOptions(options);
		options = this.options;

		var menu = this.menu = document.id(menu);

		menu.getElements(options.selectElements).each(function(el){
			el.addClass('flip');		
			var li_text = el.get('text');
			el.set('html','<span class="main_text">' + li_text + '</span>' + '<span class="menu_slide">' + li_text + '</span>' );
			el.addEvent('mouseenter', function(){
				el.getElement('span.main_text').set('morph', {duration: options.animDuration, transition: options.transitionIn});
				el.getElement('span.main_text').morph({ 'marginTop': -el.getSize().y,'opacity': '0' });
			}.bind(this)).addEvent('mouseleave', function(){
				el.getElement('span.main_text').set('morph', {duration: options.animDuration, transition: options.transitionOut});
				el.getElement('span.main_text').morph({ 'marginTop':'0','opacity': '1' });
			}.bind(this));			
		}, this);
	}	
}); 
